aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/zope-copy/Manifest1
-rw-r--r--dev-python/zope-copy/metadata.xml19
-rw-r--r--dev-python/zope-copy/zope-copy-4.3.ebuild49
3 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/zope-copy/Manifest b/dev-python/zope-copy/Manifest
new file mode 100644
index 0000000..4683e0c
--- /dev/null
+++ b/dev-python/zope-copy/Manifest
@@ -0,0 +1 @@
+DIST zope-copy-4.3.gh.tar.gz 20670 BLAKE2B 95fbae49a35081ac90b32aef36c5ec87304107eb8eed1a38584141da6b2d14101e16e4f584f4757fa6577bb1f58f423d4aafb68991360468d2f0f7d3dc3377df SHA512 ca9acf3fb65677ee123a4e1f3cd01051330ecde62f22528ff7aef719e0c60936e9a19c260f461e1aa17a280b43389198bbab85f94f52827e9762e60f65560360
diff --git a/dev-python/zope-copy/metadata.xml b/dev-python/zope-copy/metadata.xml
new file mode 100644
index 0000000..50badb4
--- /dev/null
+++ b/dev-python/zope-copy/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.copy/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.copy/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopecopy.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.copy</remote-id>
+ <remote-id type="pypi">zope.copy</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-copy/zope-copy-4.3.ebuild b/dev-python/zope-copy/zope-copy-4.3.ebuild
new file mode 100644
index 0000000..e42cfee
--- /dev/null
+++ b/dev-python/zope-copy/zope-copy-4.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="pluggable mechanism for copying persistent objects"
+HOMEPAGE="https://github.com/zopefoundation/zope.copy"
+SRC_URI="https://github.com/zopefoundation/zope.copy/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-location[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/copy" || die
+ distutils-r1_src_test
+}